Page MenuHomePhabricator

Remove vue compat code from Wikistories
Closed, ResolvedPublic

Description

Remove configCompat: { ... } from all Vue components

QA Results - Beta

Event Timeline

SBisson triaged this task as Medium priority.Jan 17 2024, 2:22 PM

Change 992751 had a related patch set uploaded (by Eamedina; author: Eamedina):

[mediawiki/extensions/Wikistories@master] Remove Vue 3 compatability build

https://gerrit.wikimedia.org/r/992751

Change 992751 merged by jenkins-bot:

[mediawiki/extensions/Wikistories@master] Remove Vue 3 compatability build

https://gerrit.wikimedia.org/r/992751

@eamedina I did not come across any issues when doing regression testing. I will move this to design sign-off. Thanks for all your work!

Status: ✅PASS
Environment: Beta: 1.42.0-alpha (d5ff499)
OS: macOS Sonoma 14.2.1
Browser: Chrome 121
Skins. Minerva
Device: MBA M2
Emulated Device:: n/a
Test Links:
https://en.m.wikipedia.beta.wmflabs.org/wiki/Dog#

✅AC1: https://phabricator.wikimedia.org/T355227